# disallowScreenshare()

Revokes the screenshare permissions for the target user. The target user id is provided as a parameter.

{% hint style="warning" %}
This method only takes effect if [allowScreenshare](/reference/sdk/methods/allowscreenshare.md) was previously called for that user.
{% endhint %}

```javascript
sambaFrame.disallowScreenshare('9efc7798-a1a4-44bd-9d8d-532fe0feea9d');
```

**Sample use case**: \
Have a custom participants panel in your integration and want moderators to be able to revoke screenshare permissions for particular users. It will be mostly useful in webinar scenarios where particular roles do not have screenshare permissions by default and these permissions are granted and revoked on the fly during the webinar.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/disallowscreenshare.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
